/* Sistemas Integrados TECNISA

Nome: 0211_GERTRGO.SQL

Descrio:
Trigger para jogar a descrio do cadastro de bairro no cadastro de endereo

Criao:
03/01/2004 Raphael Freitas Pinheiro
*/

CREATE OR REPLACE TRIGGER ATUALIZA_NMBAIRRO
AFTER UPDATE ON BAIRRO FOR EACH ROW

DECLARE
   V_COUNT NUMBER;

BEGIN
   IF (:NEW.NMBAIRRO <> :OLD.NMBAIRRO) THEN
      SELECT COUNT(*)
      INTO V_COUNT
      FROM ENDECLIE
      WHERE CDPAIS      = :OLD.CDPAIS
        AND SGESTADO    = :OLD.SGESTADO
        AND CDMUNICIPIO = :OLD.CDMUNICIPIO
        AND CDBAIRRO    = :OLD.CDBAIRRO;

      IF (V_COUNT > 0) THEN
         UPDATE ENDECLIE
         SET NMBAIRCLIE = :NEW.NMBAIRRO
         WHERE CDPAIS      = :OLD.CDPAIS
           AND SGESTADO    = :OLD.SGESTADO
           AND CDMUNICIPIO = :OLD.CDMUNICIPIO
           AND CDBAIRRO    = :OLD.CDBAIRRO;
      END IF;
   END IF;
END;
/

-- VERSAO --
BEGIN ATUVEROBJ('ATUALIZA_NMBAIRRO','5.05.003'); END;
/

